package cn.com.tenlion.systembase.pojo.pos.keyplace;

/**
 *
 * @ClassName: KeyPlacePO
 * @Description: 重点场所
 * @Author: CodeFactory
 * @Date: 2021-11-16 15:06:28
 * @Version: 3.0
 **/
public class KeyPlacePO {

    private String keyPlaceId;
    private String placeName;
    private String placeType;
    private String placeTypeName;
    private String detailType;
    private String detailTypeName;
    private String areaCode;
    private String areaName;
    private String address;
    private String linkMan;
    private String linkPhone;
    private String phone;
    private String longitude;
    private String latitude;
    private String creator;
    private String gmtCreate;
    private String modifier;
    private String gmtModified;
    private Integer isDelete;

    public String getKeyPlaceId() {
        return keyPlaceId == null ? "" : keyPlaceId.trim();
    }

    public void setKeyPlaceId(String keyPlaceId) {
        this.keyPlaceId = keyPlaceId;
    }

    public String getPlaceName() {
        return placeName == null ? "" : placeName.trim();
    }

    public void setPlaceName(String placeName) {
        this.placeName = placeName;
    }

    public String getPlaceType() {
        return placeType == null ? "" : placeType.trim();
    }

    public void setPlaceType(String placeType) {
        this.placeType = placeType;
    }

    public String getPlaceTypeName() {
        return placeTypeName == null ? "" : placeTypeName.trim();
    }

    public void setPlaceTypeName(String placeTypeName) {
        this.placeTypeName = placeTypeName;
    }

    public String getDetailType() {
        return detailType == null ? "" : detailType.trim();
    }

    public void setDetailType(String detailType) {
        this.detailType = detailType;
    }

    public String getDetailTypeName() {
        return detailTypeName == null ? "" : detailTypeName.trim();
    }

    public void setDetailTypeName(String detailTypeName) {
        this.detailTypeName = detailTypeName;
    }

    public String getAreaCode() {
        return areaCode == null ? "" : areaCode.trim();
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaName() {
        return areaName == null ? "" : areaName.trim();
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getAddress() {
        return address == null ? "" : address.trim();
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getLinkMan() {
        return linkMan == null ? "" : linkMan.trim();
    }

    public void setLinkMan(String linkMan) {
        this.linkMan = linkMan;
    }

    public String getLinkPhone() {
        return linkPhone == null ? "" : linkPhone.trim();
    }

    public void setLinkPhone(String linkPhone) {
        this.linkPhone = linkPhone;
    }

    public String getPhone() {
        return phone == null ? "" : phone.trim();
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getLongitude() {
        return longitude == null ? "" : longitude.trim();
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude == null ? "" : latitude.trim();
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
